import { ResponseError } from '@sheetbase/core-server';
import { PopupConfigs } from './types';
export declare function decodeJWTPayload(token: string): any;
export declare function isExpiredJWT(token: string): boolean;
export declare function ApiError(result: ResponseError): void;
export declare function isExpiredInSeconds(expiredTime: number, costMore?: number): boolean;
export declare function createPopup(config: PopupConfigs): void;
export declare function getHost(): string;
export declare function parseData(data: any): any;
export declare function parseObject(obj: {}): {};
export declare function o2a<Obj, K extends keyof Obj, P extends Obj[K]>(object: Obj, keyName?: string): Array<(P extends {
    [key: string]: any;
} ? P : {
    value: P;
}) & {
    $key: string;
}>;
export declare function a2o<Obj>(array: Obj[], keyName?: string): {
    [key: string]: Obj;
};
export declare function uniqueId(length?: number, startWith?: string): string;
